org.apache.cassandra.cql

## Class DropIndexStatement

- java.lang.Object
- - org.apache.cassandra.cql.DropIndexStatement

    public class DropIndexStatement
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `indexName`

### Constructor Summary

Constructors
Constructor and Description
`DropIndexStatement(java.lang.String indexName)`

### Method Summary

Methods
`CFMetaData` `generateCFMetadataUpdate()`
`java.lang.String` `getColumnFamily()`
`void` `setKeyspace(java.lang.String keyspace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexName

    public final java.lang.String indexName

### Constructor Detail

#### DropIndexStatement

    public DropIndexStatement(java.lang.String indexName)

### Method Detail

#### setKeyspace

    public void setKeyspace(java.lang.String keyspace)

#### getColumnFamily

    public java.lang.String getColumnFamily()
                                     throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### generateCFMetadataUpdate

    public CFMetaData generateCFMetadataUpdate()
                                        throws InvalidRequestException

Throws:
  `InvalidRequestException`